import { QualificationGetDTO, QualificationPostDTO } from "./skill";

export interface EmployeeRequestPutDTO {
  lastName: string,
  firstName: string,
  street: string,
  postcode: string,
  city: string,
  phone: string,
  skillSet: Array<number>,
}

export interface EmployeeResponseDTO {
  id: number,
  lastName: string,
  firstName: string,
  street: string,
  postcode: string,
  city: string,
  phone: string,
  skillSet?: Array<QualificationGetDTO>,
}

export interface EmployeeRequestDTO {
  lastName: string,
  firstName: string,
  street: string,
  postcode: string,
  city: string,
  phone: string,
  skillSet?: Array<number>,
}

export interface EmployeeNameAndSkillDataDTO {
  id: number,
  lastName: string,
  firstName: string,
  skillSet: Array<QualificationPostDTO>,
}

export interface EmployeeNameDataDTO {
  id: number,
  lastName: string,
  firstName: string,
}


